DECLARE
  -- test_4.sql
  v_fileHandle utl_file.FILE_TYPE;
BEGIN
  v_fileHandle := xml_spreadsheet.abfrage(
     p_query =>
         'SELECT   employee_id,first_name,last_name,' ||
         '         email,phone_number,hire_date,job_id,' ||
         '         salary,commission_pct,manager_id,' ||
         '         department_id ' ||
         'FROM     employees '
    ,p_path => 'DOC'
    ,p_filename => 'test_4.xml'
    ,p_sheetname => 'Emp'
    ,p_sumColumns => xml_spreadsheet.t_tab_abfrage( 
        'N','N','N','N','N','N','N','Y','N','N','N')
    ,p_titles => xml_spreadsheet.t_tab_abfrage(
        'Id','First Name','Last Name','Email',
        'Phone Number','Hire Date','Job Id','Salary',
        'Commission Pct','Manager Id','Department Id')
   ,p_close => FALSE
   );
  xml_spreadsheet.abfrage(
     p_query => 'SELECT   department_id,department_name,' ||
                '         manager_id,location_id ' ||
                'FROM     departments '
    ,p_fileHandle => v_fileHandle
    ,p_sheetname => 'Dept'
    ,p_titles => xml_spreadsheet.t_tab_abfrage(
        'Id','Name','Manager Id','Location')
    );
END;
/